You are reading the documentation for version 2.2. Magento 2.3 is the latest version available. Ensure you are reading the documentation for your version of Magento.

Cannot run 'composer install'

Suggestion

Change to the directory in which you installed Composer and enter the following command:

mv composer.phar /usr/local/bin/composer

If you have issues with authenticating with the Magento 2 GitHub repository, see Get your authentication keys.